Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 157)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 161)
@@ -430,96 +898,1597 @@
             if (parameter(21) .NE. "variables") then
                var=parameter(21)
-               check = isStrSubset( var,vNam(varn)+"," )
+               check = isStrSubset( var,","+vNam(varn)+"," )
             end if
          else          
-            check = isStrSubset( var,vNam(varn)+"," )
+            check = isStrSubset( var,","+vNam(varn)+"," )
          end if
       end if
+
+      if (combine .EQ. 1) then         
+         com=isStrSubset(c_var,","+vNam(varn)+"," )      
+         if (com)                       
+            check = False
+            data(varn,:,:) = temp(start_time_step:end_time_step,0:dimz-1)
+            unit(varn) = temp@units
+            if (n_o .GT. number_comb-1) then
+               print(" ")
+               print("Please set 'number_comb' to the right number of overlaying variables ('c_var')")
+               print(" ")
+               exit
+            end if 
+            mini(n_o)=min(data(varn,:,:))
+            maxi(n_o)=max(data(varn,:,:)) 
+            varn=varn+1
+            n_o=n_o+1
+         end if
+      end if
+
+      if(check) then
+               
+         z = f->$vNam(varn+1)$
+  
+         unit(varn) = temp@units
+         data(varn,:,:) = temp(start_time_step:end_time_step,0:dimz-1) 
+ 
+         if (over .EQ. 0) then  
+            res@gsnLeftString      = vNam(varn)
+            res@gsnRightString     = unit(varn)
+            res@trYMinF            = min_z
+            res@trYMaxF            = max_z  
+            res@trXMinF            = min(data(varn,:,:))
+            res@trXMaxF            = max(data(varn,:,:))        
+            plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)  
+         end if       
+         
+            if (vNam(varn) .EQ. "u") then 
+               miniu=min(data(varn,:,:))
+               maxiu=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_u = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniu
+                  res@trXMaxF            = maxiu                  
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)  
+               end if
+            end if
+            if (vNam(varn) .EQ. "v") then
+               miniv=min(data(varn,:,:))
+               maxiv=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_v = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniv
+                  res@trXMaxF            = maxiv                   
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               end if  
+            end if
+            if (vNam(varn) .EQ. "w") then
+               miniw=min(data(varn,:,:))
+               maxiw=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2
+                  plot_w = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniw
+                  res@trXMaxF            = maxiw                   
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if   
+            end if
+
+            if (vNam(varn) .EQ. "pt") then
+               minipt=min(data(varn,:,:))
+               maxipt=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_pt = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minipt
+                  res@trXMaxF            = maxipt
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if  
+            end if
+            if (vNam(varn) .EQ. "vpt") then
+               minivpt=min(data(varn,:,:))
+               maxivpt=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_vpt = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minivpt
+                  res@trXMaxF            = maxivpt 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               end if 
+            end if
+            if (vNam(varn) .EQ. "lpt") then
+               minilpt=min(data(varn,:,:))
+               maxilpt=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2
+                  plot_lpt = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minilpt
+                  res@trXMaxF            = maxilpt 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if 
+            end if
+
+            if (vNam(varn) .EQ. "q") then
+               miniq=min(data(varn,:,:))
+               maxiq=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_q = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniq
+                  res@trXMaxF            = maxiq 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if
+            end if
+            if (vNam(varn) .EQ. "qv") then
+               miniqv=min(data(varn,:,:))
+               maxiqv=max(data(varn,:,:))
+               if (over .EQ. 1) then 
+                  res@xyDashPattern  = 1
+                  plot_qv = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniqv
+                  res@trXMaxF            = maxiqv
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "ql") then
+               miniql=min(data(varn,:,:))
+               maxiql=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2
+                  plot_ql = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniql
+                  res@trXMaxF            = maxiql 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "rho") then                
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:))
+                  plot_q = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:)) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "s") then                
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:))
+                  plot_s = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:)) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "sa") then                 
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:)) 
+                  plot_sa = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:))  
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "e") then
+               minie=min(data(varn,:,:))
+               maxie=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_e = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minie
+                  res@trXMaxF            = maxie 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if 
+            end if
+            if (vNam(varn) .EQ. "es") then
+               minies=min(data(varn,:,:))
+               maxies=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_es = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minies
+                  res@trXMaxF            = maxies
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "km") then
+               minikm=min(data(varn,:,:))
+               maxikm=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_km = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minikm
+                  res@trXMaxF            = maxikm
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if 
+            end if
+            if (vNam(varn) .EQ. "kh") then
+               minikh=min(data(varn,:,:))
+               maxikh=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_kh = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minikh
+                  res@trXMaxF            = maxikh 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "l") then                 
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:))
+                  plot_l = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:)) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wpup") then
+               miniwpup=min(data(varn,:,:))
+               maxiwpup=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_wpup = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpup
+                  res@trXMaxF            = maxiwpup
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+            if (vNam(varn) .EQ. "wsus") then
+               miniwsus=min(data(varn,:,:))
+               maxiwsus=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_wsus = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwsus
+                  res@trXMaxF            = maxiwsus 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "wu") then
+               miniwu=min(data(varn,:,:))
+               maxiwu=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2 
+                  plot_wu = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwu
+                  res@trXMaxF            = maxiwu
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wpvp") then
+               miniwpvp=min(data(varn,:,:))
+               maxiwpvp=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_wpvp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpvp
+                  res@trXMaxF            = maxiwpvp
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+            if (vNam(varn) .EQ. "wsvs") then
+               miniwsvs=min(data(varn,:,:))
+               maxiwsvs=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_wsvs = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwsvs
+                  res@trXMaxF            = maxiwsvs 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "wv") then
+               miniwv=min(data(varn,:,:))
+               maxiwv=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2 
+                  plot_wv = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwv
+                  res@trXMaxF            = maxiwv 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wpptp") then
+               miniwpptp=min(data(varn,:,:))
+               maxiwpptp=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_wpptp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpptp
+                  res@trXMaxF            = maxiwpptp 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+            if (vNam(varn) .EQ. "wspts") then
+               miniwspts=min(data(varn,:,:))
+               maxiwspts=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_wspts = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwspts
+                  res@trXMaxF            = maxiwspts 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "wpt") then
+               miniwpt=min(data(varn,:,:))
+               maxiwpt=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2 
+                  plot_wpt = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpt
+                  res@trXMaxF            = maxiwpt 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wsptsBC") then
+               miniwsptsBC=min(data(varn,:,:))
+               maxiwsptsBC=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_wsptsBC = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwsptsBC
+                  res@trXMaxF            = maxiwsptsBC 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if 
+            end if             
+            if (vNam(varn) .EQ. "wptBC") then
+               miniwptBC=min(data(varn,:,:))
+               maxiwptBC=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_wptBC = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwptBC
+                  res@trXMaxF            = maxiwptBC 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wpvptp") then
+               miniwpvptp=min(data(varn,:,:))
+               maxiwpvptp=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_wpvptp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpvptp
+                  res@trXMaxF            = maxiwpvptp 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+            if (vNam(varn) .EQ. "wsvpts") then
+               miniwsvpts=min(data(varn,:,:))
+               maxiwsvpts=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_wsvpts = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwsvpts
+                  res@trXMaxF            = maxiwsvpts 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "wvpt") then
+               miniwvpt=min(data(varn,:,:))
+               maxiwvpt=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2 
+                  plot_wvpt = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwvpt
+                  res@trXMaxF            = maxiwvpt 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wpqp") then
+               miniwpqp=min(data(varn,:,:))
+               maxiwpqp=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_wpqp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpqp
+                  res@trXMaxF            = maxiwpqp 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+            if (vNam(varn) .EQ. "wsqs") then
+               miniwsqs=min(data(varn,:,:))
+               maxiwsqs=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_wsqs = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwsqs
+                  res@trXMaxF            = maxiwsqs 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "wq") then
+               miniwq=min(data(varn,:,:))
+               maxiwq=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2
+                  plot_wq = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwq
+                  res@trXMaxF            = maxiwq 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wpqvp") then
+               miniwpqvp=min(data(varn,:,:))
+               maxiwpqvp=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0 
+                  plot_wpqvp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpqvp
+                  res@trXMaxF            = maxiwpqvp 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if 
+            end if
+            if (vNam(varn) .EQ. "wsqvs") then
+               miniwsqvs=min(data(varn,:,:))
+               maxiwsqvs=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_wsqvs = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwsqvs
+                  res@trXMaxF            = maxiwsqvs 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "wqv") then
+               miniwqv=min(data(varn,:,:))
+               maxiwqv=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2
+                  plot_wqv = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwqv
+                  res@trXMaxF            = maxiwqv 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wpsp") then
+               miniwpsp=min(data(varn,:,:))
+               maxiwpsp=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_wpsp = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpsp
+                  res@trXMaxF            = maxiwpsp 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if 
+            end if 
+            if (vNam(varn) .EQ. "wsss") then
+               miniwsss=min(data(varn,:,:))
+               maxiwsss=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1 
+                  plot_wsss = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwsss
+                  res@trXMaxF            = maxiwsss 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "ws") then
+               miniws=min(data(varn,:,:))
+               maxiws=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2
+                  plot_ws = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniws
+                  res@trXMaxF            = maxiws 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if 
+            end if
+
+            if (vNam(varn) .EQ. "wpsap") then
+               miniwpsap=min(data(varn,:,:))
+               maxiwpsap=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_wpsap = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpsap
+                  res@trXMaxF            = maxiwpsap 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if 
+            end if
+            if (vNam(varn) .EQ. "wssas") then
+               miniwssas=min(data(varn,:,:))
+               maxiwssas=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_wssas = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwssas
+                  res@trXMaxF            = maxiwssas 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "wsa") then
+               miniwsa=min(data(varn,:,:))
+               maxiwsa=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2
+                  plot_wsa = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwsa
+                  res@trXMaxF            = maxiwsa 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wses") then                
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:))
+                  plot_wses = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min(data(varn,:,:))
+                  res@trXMaxF            = max(data(varn,:,:)) 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "us2") then
+               minius2=min(data(varn,:,:))
+               maxius2=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_us2 = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minius2
+                  res@trXMaxF            = maxius2 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if 
+            end if
+            if (vNam(varn) .EQ. "vs2") then
+               minivs2=min(data(varn,:,:))
+               maxivs2=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_vs2 = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minivs2
+                  res@trXMaxF            = maxivs2 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               end if
+            end if
+            if (vNam(varn) .EQ. "ws2") then
+               miniws2=min(data(varn,:,:))
+               maxiws2=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2 
+                  plot_ws2 = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniws2
+                  res@trXMaxF            = maxiws2 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "pts2") then
+               minipts2=min(data(varn,:,:))
+               maxipts2=max(data(varn,:,:))                 
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minipts2
+                  res@trXMaxF            = maxipts2
+                  plot_pts2 = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = minipts2
+                  res@trXMaxF            = maxipts2 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "ws3") then
+               miniws3=min(data(varn,:,:))
+               maxiws3=max(data(varn,:,:))                 
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniws3
+                  res@trXMaxF            = maxiws3
+                  plot_ws3 = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniws3
+                  res@trXMaxF            = maxiws3 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "Sw") then
+               miniSw=min(data(varn,:,:))
+               maxiSw=max(data(varn,:,:))                 
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniSw
+                  res@trXMaxF            = maxiSw
+                  plot_Sw = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniSw
+                  res@trXMaxF            = maxiSw 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "ws2pts") then
+               miniws2pts=min(data(varn,:,:))
+               maxiws2pts=max(data(varn,:,:))                 
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniws2pts
+                  res@trXMaxF            = maxiws2pts
+                  plot_ws2pts = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniws2pts
+                  res@trXMaxF            = maxiws2pts 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wspts2") then
+               miniwspts2=min(data(varn,:,:))
+               maxiwspts2=max(data(varn,:,:))                 
+               if (over .EQ. 1) then
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwspts2
+                  res@trXMaxF            = maxiwspts2
+                  plot_wspts2 = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwspts2
+                  res@trXMaxF            = maxiwspts2 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if
+
+            if (vNam(varn) .EQ. "wsususodz") then
+               miniwsususodz=min(data(varn,:,:))
+               maxiwsususodz=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 0
+                  plot_wsususodz = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwsususodz
+                  res@trXMaxF            = maxiwsususodz 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+               end if  
+            end if
+            if (vNam(varn) .EQ. "wspsodz") then
+               miniwspsodz=min(data(varn,:,:))
+               maxiwspsodz=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 1
+                  plot_wspsodz = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwspsodz
+                  res@trXMaxF            = maxiwspsodz 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
+               end if 
+            end if
+            if (vNam(varn) .EQ. "wpeodz") then
+               miniwpeodz=min(data(varn,:,:))
+               maxiwpeodz=max(data(varn,:,:))
+               if (over .EQ. 1) then
+                  res@xyDashPattern  = 2 
+                  plot_wpeodz = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
+               else
+                  res@gsnLeftString      = vNam(varn)
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = miniwpeodz
+                  res@trXMaxF            = maxiwpeodz 
+                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+               end if
+            end if 
+         if (over .EQ. 0) then
+            n=n+1  
+         end if      
+         varn=varn+1
+      end if      
+      delete(temp) 
+   end do
+   
+   if (over .EQ. 1 ) then
+
+      overlay(plot_u,plot_v)
+      overlay(plot_u,plot_w)
+      u=0
+      overlay(plot_pt,plot_vpt)
+      overlay(plot_pt,plot_lpt)
+      pt=0
+      overlay(plot_q,plot_qv)
+      overlay(plot_q,plot_ql)
+      q=0
+      overlay(plot_e,plot_es)
+      e=0
+      overlay(plot_km,plot_kh)
+      km=0
+      overlay(plot_wpup,plot_wsus)
+      overlay(plot_wpup,plot_wu)
+      wpup=0
+      overlay(plot_wpvp,plot_wsvs)
+      overlay(plot_wpvp,plot_wv)
+      wpvp=0
+      overlay(plot_wpptp,plot_wspts)
+      overlay(plot_wpptp,plot_wpt)
+      wpptp=0
+      overlay(plot_wsptsBC,plot_wptBC)
+      wsptsBC=0
+      overlay(plot_wpvptp,plot_wsvpts)
+      overlay(plot_wpvptp,plot_wvpt)
+      wpvptp=0
+      overlay(plot_wpqp,plot_wsqs)
+      overlay(plot_wpqp,plot_wq)
+      wpqp=0
+      overlay(plot_wpqvp,plot_wsqvs)
+      overlay(plot_wpqvp,plot_wqv)
+      wpqvp=0
+      overlay(plot_wpsp,plot_wsss)
+      overlay(plot_wpsp,plot_ws)
+      wpsp=0
+      overlay(plot_wpsap,plot_wssas)
+      overlay(plot_wpsap,plot_wsa)
+      wpsap=0
+      overlay(plot_us2,plot_vs2)
+      overlay(plot_us2,plot_ws2)
+      us2=0
+      overlay(plot_wsususodz,plot_wspsodz)
+      overlay(plot_wsususodz,plot_wpeodz)
+      wsususodz=0
+
+   end if
+
+   if (over .EQ. 1) then 
+   
+      do varn = 0,dim-1    
+      
+         if ( isStrSubset( vNam(varn), "time") .OR. isStrSubset( vNam(varn), "NORM")) then
+            check = False
+         else
+            if (.not. isvar("var")) then
+               check = True
+               if (parameter(21) .NE. "variables") then
+                  var=parameter(21)
+                  check = isStrSubset( var,","+vNam(varn)+"," )
+               end if
+            else          
+               check = isStrSubset( var,","+vNam(varn)+"," )
+            end if
+         end if  
+
+         if (check)
+           
+            z = f->$vNam(varn+1)$
+           
+            ;res@gsnLeftString      = vNam(varn)
+            res@gsnRightString     = unit(varn)
+            res@trYMinF            = min_z
+            res@trYMaxF            = max_z  
+            res@trXMinF            = min(data(varn,:,:))
+            res@trXMaxF            = max(data(varn,:,:))
+            plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)  
+            
+            if (vNam(varn) .EQ. "u" .OR. vNam(varn) .EQ. "v" .OR. vNam(varn) .EQ. "w") then
+               if (u .EQ. 0) then
+                  res@gsnLeftString      = "u, v and w"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniu,miniv,miniw/))
+                  res@trXMaxF            = max((/maxiu,maxiv,maxiw/))
+                  if (vNam(varn) .EQ. "w") then 
+                     plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+                  else
+                     plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+                  end if
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"u","v","w"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_u)
+                  u=1
+               else
+                  varn=varn+1
+                  continue
+               end if        
+            end if  
      
-      if (combine .EQ. 1) then
-         if (c_var .EQ. " ") then
-            print(" ")
-            print("Please indicate the variables you would like to combine ('c_var')")
-            print(" ")
-            exit
-         end if               
-         com=isStrSubset(c_var,vNam(varn)+",")      
-         if (com) then
-            e=e+1
+            if (vNam(varn) .EQ. "pt" .OR. vNam(varn) .EQ. "vpt" .OR. vNam(varn) .EQ. "lpt") then
+               if (pt .EQ. 0) then
+                  res@gsnLeftString      = "pt, vpt and lpt"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/minipt,minivpt,minilpt/))
+                  res@trXMaxF            = max((/maxipt,maxivpt,maxilpt/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"pt","vpt","lpt"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_pt)
+                  pt=1
+               else
+                  varn=varn+1
+                  continue       
+               end if
+            end if            
+            if (vNam(varn) .EQ. "q" .OR. vNam(varn) .EQ. "qv" .OR. vNam(varn) .EQ. "ql") then
+               if (q .EQ. 0) then
+                  res@gsnLeftString      = "q, qv and ql"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniq,miniqv,miniql/))
+                  res@trXMaxF            = max((/maxiq,maxiqv,maxiql/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"q","qv","ql"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_q)
+                  q=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if           
+            if (vNam(varn) .EQ. "rho") then
+               plot(n) = plot_rho
+            end if
+            if (vNam(varn) .EQ. "s") then
+               plot(n) = plot_s
+            end if
+            if (vNam(varn) .EQ. "sa") then
+               plot(n) = plot_sa
+            end if
+            if (vNam(varn) .EQ. "e" .OR. vNam(varn) .EQ. "es") then
+               if (e .EQ. 0) then
+                  res@gsnLeftString      = "e and es"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/minie,minies/))
+                  res@trXMaxF            = max((/maxie,maxies/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"e","es"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_e)
+                  e=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if            
+            if (vNam(varn) .EQ. "km" .OR. vNam(varn) .EQ. "kh") then
+               if (km .EQ. 0) then
+                  res@gsnLeftString      = "km and kh"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/minikm,minikh/))
+                  res@trXMaxF            = max((/maxikm,maxikh/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"km","kh"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_km) 
+                  km=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if           
+            if (vNam(varn) .EQ. "l") then
+               plot(n) = plot_l
+            end if
+            if (vNam(varn) .EQ. "wpup" .OR. vNam(varn) .EQ. "wsus" .OR. vNam(varn) .EQ. "wu") then
+               if (wpup .EQ. 0) then
+                  res@gsnLeftString      = "wpup, wsus and wu"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwpup,miniwsus,miniwu/))
+                  res@trXMaxF            = max((/maxiwpup,maxiwsus,maxiwu/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wpup","wsus","wu"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpup)
+                  wpup=1
+               else
+                  varn=varn+1
+                  continue    
+               end if
+            end if
+            if (vNam(varn) .EQ. "wpvp" .OR. vNam(varn) .EQ. "wsvs" .OR.vNam(varn) .EQ. "wv") then
+               if (wpvp .EQ. 0) then
+                  res@gsnLeftString      = "wpvp, wsus and wv"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwpvp,miniwsvs,miniwv/))
+                  res@trXMaxF            = max((/maxiwpvp,maxiwsvs,maxiwv/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wpvp","wsvs","wv"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpvp)
+                  wpup=0
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if
+            if (vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "wspts" .OR. vNam(varn) .EQ. "wpt") then
+               if (wpptp .EQ. 0) then
+                  res@gsnLeftString      = "wpptp, wspts and wv"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwpptp,miniwspts,miniwpt/))
+                  res@trXMaxF            = max((/maxiwpptp,maxiwspts,maxiwpt/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wpptp","wspts","wpt"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpptp)
+                  wpptp=1
+               else
+                  varn=varn+1
+                  continue    
+               end if
+            end if
+            if (vNam(varn) .EQ. "wsptsBC" .OR. vNam(varn) .EQ. "wptBC") then
+               if (wsptsBC .EQ. 0) then
+                  res@gsnLeftString      = "wsptsBC and wptBC"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwsptsBC,miniwptBC/))
+                  res@trXMaxF            = max((/maxiwsptsBC,maxiwptBC/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wsptsBC","wptBC"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wsptsBC)
+                  wsptsBC=1
+               else
+                  varn=varn+1
+                  continue   
+               end if  
+            end if             
+            if (vNam(varn) .EQ. "wpvptp" .OR. vNam(varn) .EQ. "wsvpts" .OR. vNam(varn) .EQ. "wvpt") then
+               if (wpvptp .EQ. 0) then
+                  res@gsnLeftString      = "wpvptp, wsvpts and wv"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwpvptp,miniwsvpts,miniwvpt/))
+                  res@trXMaxF            = max((/maxiwpvptp,maxiwsvpts,maxiwvpt/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wpvptp","wsvpts","wvpt"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpvptp)
+                  wpvptp=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if
+            if (vNam(varn) .EQ. "wpqp" .OR. vNam(varn) .EQ. "wsqs" .OR. vNam(varn) .EQ. "wq") then
+               if (wpqp .EQ. 0) then 
+                  res@gsnLeftString      = "wpqp, wsqs and wq"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwpqp,miniwsqs,miniwq/))
+                  res@trXMaxF            = max((/maxiwpqp,maxiwsqs,maxiwq/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wpqp","wsqs","wq"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpqp)
+                  wpqp=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if
+            if (vNam(varn) .EQ. "wpqvp" .OR. vNam(varn) .EQ. "wsqvs" .OR. vNam(varn) .EQ. "wqv") then
+               if (wpqvp .EQ. 0) then
+                  res@gsnLeftString      = "wpqvp, wsqvs and wqv"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwpqp,miniwsqvs,miniwqv/))
+                  res@trXMaxF            = max((/maxiwpqp,maxiwsqvs,maxiwqv/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wpqvp","wsqvs","wqv"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpqvp) 
+                  wpqvp=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if
+            if (vNam(varn) .EQ. "wpsp" .OR. vNam(varn) .EQ. "wsss" .OR. vNam(varn) .EQ. "ws") then
+               if (wpsp .EQ. 0) then
+                  res@gsnLeftString      = "wpsp, wsss and ws"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwpsp,miniwsss,miniws/))
+                  res@trXMaxF            = max((/maxiwpsp,maxiwsss,maxiws/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wpsp","wsss","ws"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpsp)
+                  wpsp=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if 
+            if (vNam(varn) .EQ. "wpsap" .OR.vNam(varn) .EQ. "wssas" .OR. vNam(varn) .EQ. "wsa") then
+               if (wpsap .EQ. 0) then
+                  res@gsnLeftString      = "wpsap, wssas and wsa"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwpsap,miniwssas,miniwsa/))
+                  res@trXMaxF            = max((/maxiwpsap,maxiwssas,maxiwsa/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wpsap","wssas","wsa"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wpsap)
+                  wpsap=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if
+            if (vNam(varn) .EQ. "wses") then
+               plot(n) = plot_wses
+            end if
+            if (vNam(varn) .EQ. "us2" .OR. vNam(varn) .EQ. "vs2" .OR. vNam(varn) .EQ. "ws2") then
+               if (us2 .EQ. 0) then
+                  res@gsnLeftString      = "us2, vs2 and ws2"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/minius2,minivs2,miniws2/))
+                  res@trXMaxF            = max((/maxius2,maxivs2,maxiws2/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"us2","vs2","ws2"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_us2)
+                  us2=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if
+            if (vNam(varn) .EQ. "pts2") then
+               plot(n) = plot_pts2 
+            end if
+            if (vNam(varn) .EQ. "ws3") then
+               plot(n) = plot_ws3
+            end if
+            if (vNam(varn) .EQ. "Sw") then
+               plot(n) = plot_Sw
+            end if
+            if (vNam(varn) .EQ. "ws2pts") then
+               plot(n) = plot_ws2pts
+            end if
+            if (vNam(varn) .EQ. "wspts2") then
+               plot(n) = plot_wspts2 
+            end if
+            if (vNam(varn) .EQ. "wsususodz" .OR. vNam(varn) .EQ. "wspsodz" .OR. vNam(varn) .EQ. "wpeodz" ) then
+               if (wsususodz .EQ. 0) then 
+                  res@gsnLeftString      = "wsususodz, wspsodz and ws2"
+                  res@gsnRightString     = unit(varn)
+                  res@trXMinF            = min((/miniwsususodz,miniwspsodz,miniwpeodz/))
+                  res@trXMaxF            = max((/maxiwsususodz,maxiwspsodz,maxiwpeodz/))
+
+                  plot(n) =  gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
+
+                  ; ***************************************************
+                  ; legend for combined plot
+                  ; ***************************************************
+      
+                  lgres                    = True
+                  lgMonoDashIndex          = False
+                  lgres@lgLabelFont        = "helvetica"    
+                  lgres@lgLabelFontHeightF = .1            
+                  lgres@vpWidthF           = 0.12           
+                  lgres@vpHeightF          = 0.1          
+                  lgres@lgDashIndexes      = (/0,1,2/)
+                  lbid = gsn_create_legend(wks,3,(/"wsususodz","wspsodz","wpeodz"/),lgres)       
+
+                  amres = True
+                  amres@amParallelPosF   = 0.65		    
+                  amres@amOrthogonalPosF = -0.2            
+                  annoid1 = gsn_add_annotation(plot(n),lbid,amres)                  
+                  overlay(plot(n),plot_wsususodz)
+                  wsususodz=1
+               else
+                  varn=varn+1
+                  continue   
+               end if
+            end if     
+            n=n+1    
+            varn=varn+1
+         end if
+      end do 
+   end if     
+
+   if (combine .EQ. 1) then
+     
+      check=True      
+      n_o=0
+      do varn = 0,dim-1 
+  
+         if ( isStrSubset( vNam(varn), "NORM") .or. isStrSubset( vNam(varn), "time") )
             check = False
-            temp = f->$vNam(varn)$            
-            data_o!1 = temp!0
-            data_o!2 = temp!1           
-            data_o(e,:,:) = temp(start_time_step:end_time_step,:)
-            mini(e) = min(data_o(e,:,:)) 
-            maxi(e) = max(data_o(e,:,:))
-            
-            do j=e,e
-               do p=start_time_step,end_time_step
-                  legend_label_oplot(e*end_time_step+p-start_time_step)=" "+flt2string(doubletofloat(t_all(p)))+" "+vNam(varn)
-               end do
-            end do
-           
-            delete(temp)
-            varn = varn + 1
+         else
+            if (.not. isvar("var")) then
+               check = True
+               if (parameter(21) .NE. "variables") then
+                  var=parameter(21)
+                  check = isStrSubset( var,","+vNam(varn)+"," )
+               end if
+            else          
+               check = isStrSubset( var,","+vNam(varn)+"," )
+            end if
+         end if
+     
+         if(check) then
+
+            z = f->$vNam(varn+1)$ 
+            com=isStrSubset( c_var,","+vNam(varn)+"," )
+     
+            if (com) 
+                             
+               if (n_o .EQ. 1) then
+                  res@xyDashPattern  = 1 
+                                  
+               else            
+                  if (n_o .EQ. 2) then
+                     res@xyDashPattern  = 2
+                  else
+                     res@xyDashPattern  = 0
+                     res@gsnLeftString  = c_var
+                     res@gsnRightString = unit(varn)
+                     res@trXMinF        = min(mini)
+                     res@trXMaxF        = max(maxi)
+                  end if
+               end if
+               label(n_o)=vNam(varn)
+               color_o(n_o)=237
+               plot_o(n_o)=gsn_csm_xy(wks,data(varn,:,:),z,res) 
+               n_o=n_o+1
+            end if          
+            varn=varn+1   
+         end if
+      end do
+   
+      if(number_comb .EQ. 2)then
+         overlay(plot_o(0),plot_o(1))
+      end if
+      if(number_comb .EQ. 3)then
+         overlay(plot_o(0),plot_o(1))
+         overlay(plot_o(0),plot_o(2))
+      end if
+
+      ; ***************************************************
+      ; legend for combined plot
+      ; ***************************************************
+      
+      lgres                    = True
+      lgMonoDashIndex          = False
+      lgres@lgDashIndexes      = (/0,1,2/)
+      lgres@lgLabelFont        = "helvetica"    
+      lgres@lgLabelFontHeightF = .1            
+      lgres@vpWidthF           = 0.12           
+      lgres@vpHeightF          = 0.1           
+  
+      lbid = gsn_create_legend(wks,number_comb,label,lgres)       
+
+      amres = True
+      amres@amParallelPosF   = 0.65		    
+      amres@amOrthogonalPosF = -0.2            
+      annoid1 = gsn_add_annotation(plot_o(0),lbid,amres) 
     
-         end if        
-      end if  
- 
-      if(check) then
-
-         temp = f->$vNam(varn)$      
-         data = temp(start_time_step:end_time_step,:)   
-         testx= data*100  
-         print("         plot of " + vNam(varn))
-         data!1 = "z"
-  
-         res@gsnLeftString      = "PROFILE plot of"
-         res@gsnRightString     = vNam(varn)
-         res@txFontHeightF      = 0.02
-         res@tiXAxisFontHeightF = 0.02
-         res@tiYAxisFontHeightF = 0.02
-         res@tiXAxisString      = " "    
-         res@tiYAxisString      = "Height [z]"
-         res@trXMinF            = min(data(:,:))
-         res@trXMaxF            = max(data(:,:))
-         res@trYMinF            = min_z
-         res@trYMaxF            = max_z    
-        
-         plot(n) = gsn_csm_xy(wks,data,z_pr,res)  
-   
-         delete(temp)
-         delete(data)
-         n = n + 1 
-         varn = varn + 1
-       
-      end if      
-
-   end do
-
-   if (combine .EQ. 1) then
-      data_all=new((/m*end_time_step,dimz/),float)
-      do j=0,e
-         data_all(start_time_step-1+j*end_time_step:(j+1)*end_time_step-1,:) = data_o(j,:,:)
-      end do  
-
-      ores@gsnLeftString      = "combined PROFILE plot of" 
-      ores@gsnRightString     = c_var
-      ores@txFontHeightF      = 0.02
-      ores@tiXAxisFontHeightF = 0.02
-      ores@tiYAxisFontHeightF = 0.02
-      ores@tiXAxisString      = " "    
-      ores@tiYAxisString      = "Height [z]"
-      ores@trXMinF            = min(mini(:))
-      ores@trXMaxF            = max(maxi(:))
-      ores@trYMinF            = min_z
-      ores@trYMaxF            = max_z   
-      ores@xyExplicitLegendLabels  = legend_label_oplot
-
-      print(" ")
-      print("combined plot of " + c_var) 
- 
-      plot(0) = gsn_csm_xy(wks,data_all,z_pr,ores) 
-      
+      plot(0) = plot_o(0)
+
    end if
 
